<template>
  <Character v-for="item in zoneStore.characters" :key="item.character.id" :layer="tilemap" :zoneCharacter="item" />
</template>

<script setup lang="ts">
import Character from '@/components/game/character/Character.vue'
import { useZoneStore } from '@/stores/zoneStore'

const zoneStore = useZoneStore()

const props = defineProps<{
  tilemap: Phaser.Tilemaps.Tilemap
}>()
</script>
